summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authortony@chromium.org <tony@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2010-07-15 22:59:48 +0000
committertony@chromium.org <tony@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2010-07-15 22:59:48 +0000
commita51551d41322dd92c3240f378b14a4ed4c85b83a (patch)
tree7ebf69a0cb5ae11041d0e29f5b7288ef7a326180 /build
parent296402efe92f024b806adaf51f2c2e142d220892 (diff)
downloadchromium_src-a51551d41322dd92c3240f378b14a4ed4c85b83a.zip
chromium_src-a51551d41322dd92c3240f378b14a4ed4c85b83a.tar.gz
chromium_src-a51551d41322dd92c3240f378b14a4ed4c85b83a.tar.bz2
Allow maverick with install-build-deps.sh.
The first time I ran it, I got an error and had to run apt-get install -f, then re-run install-build-deps.sh. I didn't write down the error so I don't think I can repro. It almost works, so perhaps the next person can copy down the error. Review URL: http://codereview.chromium.org/2888011 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@52563 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'build')
-rwxr-xr-xbuild/install-build-deps.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/build/install-build-deps.sh b/build/install-build-deps.sh
index 7e781cb..41289cf 100755
--- a/build/install-build-deps.sh
+++ b/build/install-build-deps.sh
@@ -78,8 +78,11 @@ install_gold() {
fi
}
-if ! egrep -q 'Ubuntu (8\.04|8\.10|9\.04|9\.10|10\.04|karmic|lucid)' /etc/issue; then
- echo "Only Ubuntu 8.04 (hardy) through 10.04 (lucid) are currently supported" >&2
+if ! egrep -q \
+ 'Ubuntu (8\.04|8\.10|9\.04|9\.10|10\.04|10\.10|karmic|lucid|maverick)' \
+ /etc/issue; then
+ echo "Only Ubuntu 8.04 (hardy) through 10.10 (maverick) are currently" \
+ "supported" >&2
exit 1
fi